Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
quyennv01

Cho các dòng chữ thằng hàng

Các bài được khuyến nghị

mọi nguời cho mình hỏi :giờ mình có các dòng text riêng biệt (không trong cùng một Mtext).mình muốn sắp xếp chúng thẳng hàng nhau ngoài cách move cho chúng thẳng hàng còn có cách nào khác không. mọi nguời chỉ giúp mình nhé. cám ơn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
mọi nguời cho mình hỏi :giờ mình có các dòng text riêng biệt (không trong cùng một Mtext).mình muốn sắp xếp chúng thẳng hàng nhau ngoài cách move cho chúng thẳng hàng còn có cách nào khác không. mọi nguời chỉ giúp mình nhé. cám ơn.

 

Xem bài :

lisp to text

 

http://www.cadviet.com/forum/index.php?showtopic=9913

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cám ơn bạn góp ý.nhưng ý mình không phải vậy.ý mình là: khi mình có các dòng text rồi (dùng lệnh DT hoặc MT).nhưng chúng không thẳng hàng với nhau.giờ mình muốn sắp xếp chúng thẳng hàng (căn lề trái).mọi ngưòi giúp mình nhé.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Cám ơn bạn góp ý.nhưng ý mình không phải vậy.ý mình là: khi mình có các dòng text rồi (dùng lệnh DT hoặc MT).nhưng chúng không thẳng hàng với nhau.giờ mình muốn sắp xếp chúng thẳng hàng (căn lề trái).mọi ngưòi giúp mình nhé.

 

Bạn đánh lệnh "Qtext" đổi thành ON. sau đố Regen lại bản vẽ, các text sẽ có dạng hình chữ nhật. Vào chế độ bắt điểm chọn "Node" hoặc "Insertion" và gióng các điểm!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bạn đánh lệnh "Qtext" đổi thành ON. sau đố Regen lại bản vẽ, các text sẽ có dạng hình chữ nhật. Vào chế độ bắt điểm chọn "Node" hoặc "Insertion" và gióng các điểm!

cám ơn bạn.cái này mình cũng biết rồi.nhưng ý mình muồn là chọn tất cả dòng text đó rồi thực hiện một lệnh nào đó để tất cả các dòng text đó thẳng hàng nhau tại một đuờng gióng nào đó do mình chọn.cái này mình nghĩ có lẽ sử dụng lisp hoặc VBA.nhưng mình lại chưa viết được.mọi người giúp mình nhé.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
cám ơn bạn.cái này mình cũng biết rồi.nhưng ý mình muồn là chọn tất cả dòng text đó rồi thực hiện một lệnh nào đó để tất cả các dòng text đó thẳng hàng nhau tại một đuờng gióng nào đó do mình chọn.cái này mình nghĩ có lẽ sử dụng lisp hoặc VBA.nhưng mình lại chưa viết được.mọi người giúp mình nhé.

 

được voi đòi tiên. đáng ghét

  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
được voi đòi tiên. đáng ghét

Tưởng ông giúp được anh em cái gì.không biết thì thôi.có ai trách gì đâu.sao phải nói nhau thế nhỉ.có giỏi thì ông làm đi.không biết thì phải hỏi.diễn đàn là để học hỏi.giờ ông bảo có voi đòi tiên.chắc là trước bị chửi nhiều rồi hả.nên giờ không làm gì được rồi đi nói anh em vậy.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
mọi nguời cho mình hỏi :giờ mình có các dòng text riêng biệt (không trong cùng một Mtext).mình muốn sắp xếp chúng thẳng hàng nhau ngoài cách move cho chúng thẳng hàng còn có cách nào khác không. mọi nguời chỉ giúp mình nhé. cám ơn.

 

tìm trên cadviet phần mềm acv10.zip, đọc hướng dẫn trong đó có

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
cám ơn bạn.cái này mình cũng biết rồi.nhưng ý mình muồn là chọn tất cả dòng text đó rồi thực hiện một lệnh nào đó để tất cả các dòng text đó thẳng hàng nhau tại một đuờng gióng nào đó do mình chọn.cái này mình nghĩ có lẽ sử dụng lisp hoặc VBA.nhưng mình lại chưa viết được.mọi người giúp mình nhé.

Mục này không phải là mục lisp và cái lisp này cũng đã có trên dd rồi nhưng mình cũng mạo muội giới thiệu cái lisp của mình!

*Tiện ích canh lề các dòng text.

Lisp làm việc theo nguyên tắc MOVE các dòng text đặt theo vị trí canh lề chứ không can thiệp vào các định dạng canh lề của dòng text.

+Tên lệnh: CLT Canh lề các dòng text chọn thẳng hàng bên trái.

+Tên lệnh: CLP Canh lề các dòng text chọn thẳng hàng bên phải.

+Tên lệnh: CLG Canh lề các dòng text chọn thẳng hàng bên giữa.

+Tên lệnh: CLN Canh lề các dòng text chọn thẳng hàng theo chiều ngang.

http://www.cadviet.com/upfiles/canhletext.rar

  • Vote tăng 14

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Mục này không phải là mục lisp và cái lisp này cũng đã có trên dd rồi nhưng mình cũng mạo muội giới thiệu cái lisp của mình!

*Tiện ích canh lề các dòng text.

Lisp làm việc theo nguyên tắc MOVE các dòng text đặt theo vị trí canh lề chứ không can thiệp vào các định dạng canh lề của dòng text.

+Tên lệnh: CLT Canh lề các dòng text chọn thẳng hàng bên trái.

+Tên lệnh: CLP Canh lề các dòng text chọn thẳng hàng bên phải.

+Tên lệnh: CLG Canh lề các dòng text chọn thẳng hàng bên giữa.

+Tên lệnh: CLN Canh lề các dòng text chọn thẳng hàng theo chiều ngang.

http://www.cadviet.com/upfiles/canhletext.rar

 

cái này được

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Mục này không phải là mục lisp và cái lisp này cũng đã có trên dd rồi nhưng mình cũng mạo muội giới thiệu cái lisp của mình!

*Tiện ích canh lề các dòng text.

Lisp làm việc theo nguyên tắc MOVE các dòng text đặt theo vị trí canh lề chứ không can thiệp vào các định dạng canh lề của dòng text.

+Tên lệnh: CLT Canh lề các dòng text chọn thẳng hàng bên trái.

+Tên lệnh: CLP Canh lề các dòng text chọn thẳng hàng bên phải.

+Tên lệnh: CLG Canh lề các dòng text chọn thẳng hàng bên giữa.

+Tên lệnh: CLN Canh lề các dòng text chọn thẳng hàng theo chiều ngang.

http://www.cadviet.com/upfiles/canhletext.rar

cái này đúng ý mình rồi.cảm ơn nhé

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

các đại ca cho em hỏi tại sao cái lips này dùng thì khi chọn điểm căn rồi thì text nó chạy đâu mất tiêu thế

đại ca nào sửa lại hộ em đi

thanks nhiều

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Canh lề trái , phải , ngang thì Ok, nhưng canh giữa không được anh Duy ơi. Nó không cho chọn đối tượng

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Canh lề trái , phải , ngang thì Ok, nhưng canh giữa không được anh Duy ơi. Nó không cho chọn đối tượng

ako chọn trúng Mtext mà Code của A Duy không nhận đối tượng Mtext thể hiện ở dòng này trong code:

(setq SS (ssget '((0 . "TEXT"))))

Muốn chọn đối tượng là Mtext thì dễ rồi, chỉ cần thay dòng này :

(setq SS (ssget '((0 . "TEXT"))))

 

thành (setq SS (ssget '((0 . "*TEXT")))) hoặc (setq SS (ssget '((0 . "TEXT,MTEXT"))))

nhưng phải xử lý lại điểm canh lề cho Mtext (trong code ADuy chưa xử lý cái này và mục đích anh Duy viết clg chỉ là để sử dụng cho Text mà thôi

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

hic hic, dùng xong rồi mất công tìm text thì mất thời gian quá ,

đại ca nào pro thi sửa hộ cho em phát

Hix! mình cũng bị tình trạng tương tự thế này, mong các pro chỉ giùm cho với. Cám ơn!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hix! mình cũng bị tình trạng tương tự thế này, mong các pro chỉ giùm cho với. Cám ơn!

Vấn đề căn lề từ CAD2007 đã giải quyết được ngon lành. Tất cả các text viết bằng lệnh T và DT đều căn phải, trái, giữa được hết, cách làm:

- Text nào viết bằng lệnh DT giữ nguyên.

- Text nào viết bằng T dùng lệnh EXPLODE để phá vỡ biến MTEXT (t)thành TEXT (dt)

- Vào Express > Text > Convert > Text to Mtext > Chọn các đố tượng...rồi căn chỉnh thoải mái!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hix! mình cũng bị tình trạng tương tự thế này, mong các pro chỉ giùm cho với. Cám ơn!

Trả trục toạ độ lại bình thường trước khi dùng lisp.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mục này không phải là mục lisp và cái lisp này cũng đã có trên dd rồi nhưng mình cũng mạo muội giới thiệu cái lisp của mình!

*Tiện ích canh lề các dòng text.

Lisp làm việc theo nguyên tắc MOVE các dòng text đặt theo vị trí canh lề chứ không can thiệp vào các định dạng canh lề của dòng text.

+Tên lệnh: CLT Canh lề các dòng text chọn thẳng hàng bên trái.

+Tên lệnh: CLP Canh lề các dòng text chọn thẳng hàng bên phải.

+Tên lệnh: CLG Canh lề các dòng text chọn thẳng hàng bên giữa.

+Tên lệnh: CLN Canh lề các dòng text chọn thẳng hàng theo chiều ngang.

http://www.cadviet.com/upfiles/canhletext.rar

lisp của bác quá tuyệt

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Em muốn bổ sung thêm 1 lisp của bác Badinhtan o dễn đàn ketcau.com

Em muốn bổ sung thêm 1 lisp của bác Badinhtan o diễn đàn ketcau.com

Lips về căn text vào chính giữa ô của hình chữ nhật

B1: Gõ lệnh dtt 
 

-Gõ lệnh dtt

B2: Truy bắt 2 điểm của đường chéo hình chữ nhật
 

- Truy bat 2 diem tren duong cheo cua hinh chu nhat

-chon text muon can chinh

-ok

B2: Truy bắt 2 điểm của đường chéo hình chữ nhật
 

http://www.mediafire.com/download/ko8opkmou9578ai/Movetext2centerrectang.lsp

B2: Truy bắt 2 điểm của đường chéo hình chữ nhật
 
B2: Truy bắt 2 điểm của đường chéo hình chữ nhật
 
B2: Truy bắt 2 điểm của đường chéo hình chữ nhật
 
B1: Gõ lệnh dtt 
 
B1: Gõ lệnh dtt 
 
B1: Gõ lệnh dtt 
 
B1: Gõ lệnh dtt 
B2: Truy bắt 2 điểm của đường chéo hình chữ nhật
 
B1: Gõ lệnh dtt 
B2: Truy bắt 2 điểm của đường chéo hình chữ nhật
B3: Chọn text cần căn chỉnh
B4: OK
 
Em muốn bổ sung thêm 1 lisp của bác Badinhtan o dễn đàn ketcau.com
Lips về căn text vào chính giữa ô của hình chữ nhật
B1: Gõ lệnh dtt 
B2: Truy bắt 2 điểm của đường chéo hình chữ nhật
B3: Chọn text cần căn chỉnh
B4: OK
Link tải: 

 

Em muốn bổ sung thêm 1 lisp của bác Badinhtan o dễn đàn ketcau.com
Lips về căn text vào chính giữa ô của hình chữ nhật
B1: Gõ lệnh dtt 
B2: Truy bắt 2 điểm của đường chéo hình chữ nhật
B3: Chọn text cần căn chỉnh
B4: OK
Link tải: 
 
Lips về căn text vào chính giữa ô của hình chữ nhật
B1: Gõ lệnh dtt 
B2: Truy bắt 2 điểm của đường chéo hình chữ nhật
B3: Chọn text cần căn chỉnh
B4: OK
Link tải: 
Em muốn bổ sung thêm 1 lisp của bác Badinhtan o dễn đàn ketcau.com
Lips về căn text vào chính giữa ô của hình chữ nhật
B1: Gõ lệnh dtt 
B2: Truy bắt 2 điểm của đường chéo hình chữ nhật
B3: Chọn text cần căn chỉnh
B4: OK
Link tải: 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

Em muốn bổ sung thêm 1 lisp của bác Badinhtan o dễn đàn ketcau.com

Em muốn bổ sung thêm 1 lisp của bác Badinhtan o diễn đàn ketcau.com

Lips về căn text vào chính giữa ô của hình chữ nhật

B1: Gõ lệnh dtt 
 

-Gõ lệnh dtt

B2: Truy bắt 2 điểm của đường chéo hình chữ nhật
 

- Truy bat 2 diem tren duong cheo cua hinh chu nhat

-chon text muon can chinh

-ok

B2: Truy bắt 2 điểm của đường chéo hình chữ nhật
 

http://www.mediafire.com/download/ko8opkmou9578ai/Movetext2centerrectang.lsp

B2: Truy bắt 2 điểm của đường chéo hình chữ nhật
 
B2: Truy bắt 2 điểm của đường chéo hình chữ nhật
 
B2: Truy bắt 2 điểm của đường chéo hình chữ nhật
 
B1: Gõ lệnh dtt 
 
B1: Gõ lệnh dtt 
 
B1: Gõ lệnh dtt 
 
B1: Gõ lệnh dtt 
B2: Truy bắt 2 điểm của đường chéo hình chữ nhật
 
B1: Gõ lệnh dtt 
B2: Truy bắt 2 điểm của đường chéo hình chữ nhật
B3: Chọn text cần căn chỉnh
B4: OK
 
Em muốn bổ sung thêm 1 lisp của bác Badinhtan o dễn đàn ketcau.com
Lips về căn text vào chính giữa ô của hình chữ nhật
B1: Gõ lệnh dtt 
B2: Truy bắt 2 điểm của đường chéo hình chữ nhật
B3: Chọn text cần căn chỉnh
B4: OK
Link tải: 

 

Em muốn bổ sung thêm 1 lisp của bác Badinhtan o dễn đàn ketcau.com
Lips về căn text vào chính giữa ô của hình chữ nhật
B1: Gõ lệnh dtt 
B2: Truy bắt 2 điểm của đường chéo hình chữ nhật
B3: Chọn text cần căn chỉnh
B4: OK
Link tải: 
 
Lips về căn text vào chính giữa ô của hình chữ nhật
B1: Gõ lệnh dtt 
B2: Truy bắt 2 điểm của đường chéo hình chữ nhật
B3: Chọn text cần căn chỉnh
B4: OK
Link tải: 
Em muốn bổ sung thêm 1 lisp của bác Badinhtan o dễn đàn ketcau.com
Lips về căn text vào chính giữa ô của hình chữ nhật
B1: Gõ lệnh dtt 
B2: Truy bắt 2 điểm của đường chéo hình chữ nhật
B3: Chọn text cần căn chỉnh
B4: OK
Link tải: 

 

 

Không hiểu ý của anh???

Nếu cần viết chữ  vào chính giữa hình tròn hoặc hình chữ nhật , chỉ cần cần làm thủ công trên AutoCAD là được:

11837_ha.jpg

 

Command: DT

TEXT

Current text style:  "Standard"  Text height:  3.0000  Annotative:  No

Specify start point of text or [Justify/Style]: j

Enter an option [Align/Fit/Center/Middle/Right/TL/TC/TR/ML/MC/MR/BL/BC/BR]: m

Specify middle point of text:

Specify height <3.0000>:

Specify rotation angle of text <0>:

Command: dt

TEXT

Current text style:  "Standard"  Text height:  0.2000  Annotative:  No

Specify start point of text or [Justify/Style]: j

Enter an option [Align/Fit/Center/Middle/Right/TL/TC/TR/ML/MC/MR/BL/BC/BR]: f

Specify first endpoint of text baseline:

Specify second endpoint of text baseline:  <Snap off>  <Ortho on>

Specify height <0.2000>: 3

Command: DT

TEXT

Current text style:  "Standard"  Text height:  3.0000  Annotative:  No

Specify start point of text or [Justify/Style]: j

Enter an option [Align/Fit/Center/Middle/Right/TL/TC/TR/ML/MC/MR/BL/BC/BR]: m

Specify middle point of text: _m2p First point of mid: Second point of mid:

Specify height <3.0000>: 4

Specify rotation angle of text <0>:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×